﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using TitleManagerTest.Business;

namespace TitleManagerTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.Loaded+=MainWindow_Loaded;
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            Random rand = new Random();

            List<RequestObj> requests = new List<RequestObj>();
            
            for(int xi=0;xi<rand.Next(2,10);xi++)
                requests.Add(new RequestObj {RequestId = Guid.NewGuid().ToString(), SystemName = "Test"});

            this.dg1.DataSource = requests;

            List<RequestDetail> requestedetails = new List<RequestDetail>();

            for (int xi = 0; xi < rand.Next(2,10); xi++)
                requestedetails.Add(new RequestDetail
                {
                    Name = Guid.NewGuid().ToString() + Guid.NewGuid().ToString(),
                    Value = xi.ToString(),
                    ExtraValue = xi.ToString()
                });

            this.RequestDataGrid.DataSource = requestedetails;

            List<ResponseDetail> responsedDetails = new List<ResponseDetail>();
            for (int xi = 0; xi < rand.Next(2,10); xi++)
                responsedDetails.Add(new ResponseDetail
                {
                    Name = xi.ToString(),
                    Value = xi.ToString()
                });

            this.ResponseDataGrid.DataSource = responsedDetails;
        }
    }
}
